org.apache.lucene.queryparser.classic

## Interface QueryParserConstants

- All Known Implementing Classes:
    AnalyzingQueryParser, ComplexPhraseQueryParser, ExtendableQueryParser, MultiFieldQueryParser, QueryParser, QueryParserTokenManager

      public interface QueryParserConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_ESCAPED_CHAR` RegularExpression Id.
    `static int` | `_NUM_CHAR` RegularExpression Id.
    `static int` | `_QUOTED_CHAR` RegularExpression Id.
    `static int` | `_TERM_CHAR` RegularExpression Id.
    `static int` | `_TERM_START_CHAR` RegularExpression Id.
    `static int` | `_WHITESPACE` RegularExpression Id.
    `static int` | `AND` RegularExpression Id.
    `static int` | `BAREOPER` RegularExpression Id.
    `static int` | `Boost` Lexical state.
    `static int` | `CARAT` RegularExpression Id.
    `static int` | `COLON` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `EOF` End of File.
    `static int` | `FUZZY_SLOP` RegularExpression Id.
    `static int` | `LPAREN` RegularExpression Id.
    `static int` | `MINUS` RegularExpression Id.
    `static int` | `NOT` RegularExpression Id.
    `static int` | `NUMBER` RegularExpression Id.
    `static int` | `OR` RegularExpression Id.
    `static int` | `PLUS` RegularExpression Id.
    `static int` | `PREFIXTERM` RegularExpression Id.
    `static int` | `QUOTED` RegularExpression Id.
    `static int` | `Range` Lexical state.
    `static int` | `RANGE_GOOP` RegularExpression Id.
    `static int` | `RANGE_QUOTED` RegularExpression Id.
    `static int` | `RANGE_TO` RegularExpression Id.
    `static int` | `RANGEEX_END` RegularExpression Id.
    `static int` | `RANGEEX_START` RegularExpression Id.
    `static int` | `RANGEIN_END` RegularExpression Id.
    `static int` | `RANGEIN_START` RegularExpression Id.
    `static int` | `REGEXPTERM` RegularExpression Id.
    `static int` | `RPAREN` RegularExpression Id.
    `static int` | `STAR` RegularExpression Id.
    `static int` | `TERM` RegularExpression Id.
    `static String[]` | `tokenImage` Literal token values.
    `static int` | `WILDTERM` RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### _NUM_CHAR

          static final int _NUM_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### _ESCAPED_CHAR

          static final int _ESCAPED_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### _TERM_START_CHAR

          static final int _TERM_START_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### _TERM_CHAR

          static final int _TERM_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### _WHITESPACE

          static final int _WHITESPACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### _QUOTED_CHAR

          static final int _QUOTED_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BAREOPER

          static final int BAREOPER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LPAREN

          static final int LPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RPAREN

          static final int RPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COLON

          static final int COLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STAR

          static final int STAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CARAT

          static final int CARAT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QUOTED

          static final int QUOTED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TERM

          static final int TERM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FUZZY_SLOP

          static final int FUZZY_SLOP

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PREFIXTERM

          static final int PREFIXTERM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WILDTERM

          static final int WILDTERM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REGEXPTERM

          static final int REGEXPTERM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RANGEIN_START

          static final int RANGEIN_START

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RANGEEX_START

          static final int RANGEEX_START

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NUMBER

          static final int NUMBER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RANGE_TO

          static final int RANGE_TO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RANGEIN_END

          static final int RANGEIN_END

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RANGEEX_END

          static final int RANGEEX_END

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RANGE_QUOTED

          static final int RANGE_QUOTED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RANGE_GOOP

          static final int RANGE_GOOP

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### Boost

          static final int Boost

      Lexical state.
      See Also:
        Constant Field Values

    - #### Range

          static final int Range

      Lexical state.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

      Literal token values.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.